API Reference - GET /codelist/payplans
Page content
The Pay Plans endpoint returns a list of pay plans and the corresponding pay plan code.
Resource
GET /api/codelist/payplans
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "IM",
"Value": "Incident Management",
"LastModified": "2015-11-16T13:54:25.87",
"IsDisabled": "No"
}],
"id": "PayPlans"
}],
"DateGenerated": "2015-04-05T18:55:44.3995692-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Pay plan code |
| Value | String | Pay plan description |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the pay plan code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government